Bundle install error while upgrade from Redmine 5.0.4 to 5.0.5 on ruby 2.5.1 environment 
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Trying upgrade with this environment

ruby -v

ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux-gnu]

rails -v

Rails 6.1.7

gem -v

2.7.6

 Leads to the following error when installing gems

Fetching gem metadata from https://rubygems.org/..

Resolving dependencies.........

Using rake 13.0.6

Using concurrent-ruby 1.2.2

Using i18n 1.10.0

Fetching minitest 5.18.0

Installing minitest 5.18.0

Gem::RuntimeRequirementNotMetError: minitest requires Ruby version < 4.0, >= 2.6. The current ruby

 version is 2.5.0.

An error occurred while installing minitest (5.18.0), and Bundler cannot continue.

<pre>

Make sure that `gem install minitest -v '5.18.0' --source 'https://rubygems.org/'` succeeds before

 bundling.

</pre>

In Gemfile:

  rails was resolved to 6.1.7.2, which depends on

    actioncable was resolved to 6.1.7.2, which depends on

      actionpack was resolved to 6.1.7.2, which depends on

        actionview was resolved to 6.1.7.2, which depends on

          rails-dom-testing was resolved to 2.0.3, which depends on

            activesupport was resolved to 6.1.7.2, which depends on

              minitest

History

#1 - 2023-03-07 20:04 - Pavel Rosický

1/ upgrade your Ruby version (recommended). Official 2.5 support ended 2 years ago. Redmine 5.0 still supports it, but dependent gems are slowly

dropping support, see https://www.redmine.org/projects/redmine/wiki/RedmineInstall and https://www.redmine.org/issues/37159

2/ upgrade rubygems, there was a bug in your version that prevents choosing older gem versions automatically, but they've dropped support for older

Ruby versions as well https://github.com/rubygems/rubygems/pull/6107

3/ lock gems to their older versions in your Gemfile

gem 'minitest', '5.15.0'
#2 - 2023-03-08 13:01 - Fernando Hartmann

- Status changed from New to Resolved

Pavel Rosický wrote:

1/ upgrade your Ruby version (recommended). Official 2.5 support ended 2 years ago. Redmine 5.0 still supports it, but dependent gems are

slowly dropping support, see https://www.redmine.org/projects/redmine/wiki/RedmineInstall and https://www.redmine.org/issues/37159

2/ upgrade rubygems, there was a bug in your version that prevents choosing older gem versions automatically, but they've dropped support for

older Ruby versions as well https://github.com/rubygems/rubygems/pull/6107

3/ lock gems to their older versions in your Gemfile

[...]

 I did the lock gem for now, and it solved my problem.

Thanks for your help

#3 - 2023-04-05 13:52 - Holger Just

- Status changed from Resolved to Closed
